<?xml version="1.0" encoding="UTF-8"?>
<!--

    Copyright (c) 2021 Contributors to the Eclipse Foundation

    This program and the accompanying materials are made
    available under the terms of the Eclipse Public License 2.0
    which is available at https://www.eclipse.org/legal/epl-2.0/

    SPDX-License-Identifier: EPL-2.0

-->
<feature
      id="org.eclipse.lsat.scheduler.feature"
      label="LSAT Scheduler Feature (Incubation)"
      version="0.1.0.v20221012-125030-RC1"
      provider-name="%providerName"
      plugin="org.eclipse.lsat.branding">

   <description>
      Eclipse LSAT scheduler

The productivity of the system is shown graphically using Gantt charts.
Eclipse LSAT can analyze the critical path and highlight bottlenecks in the system.
   </description>

   <copyright>
      %copyright
   </copyright>

   <license url="%licenseURL">
      %license
   </license>

   <requires>
      <import feature="org.eclipse.lsat.feature" version="0.1.0" match="equivalent"/>
      <import feature="org.eclipse.lsat.common.scheduler.feature" version="0.1.0" match="equivalent"/>
      <import feature="org.eclipse.lsat.common.qvto.feature" version="0.1.0" match="equivalent"/>
      <import feature="org.eclipse.trace4cps.feature" version="0.1.0" match="equivalent"/>
   </requires>

   <plugin
         id="org.eclipse.lsat.scheduler"
         download-size="96"
         install-size="220"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.scheduler.etfgen"
         download-size="61"
         install-size="148"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.dispatching.dsl"
         download-size="164"
         install-size="423"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.dispatching.teditor"
         download-size="153"
         install-size="371"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.dispatching.teditor.ui"
         download-size="49"
         install-size="116"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.scheduler.ui"
         download-size="16"
         install-size="25"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.scheduler.graph.dsl"
         download-size="179"
         install-size="521"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.scheduler.simulator"
         download-size="48"
         install-size="101"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.timinganalysis.ui"
         download-size="56"
         install-size="118"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.resource_throughput.ui"
         download-size="118"
         install-size="253"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

   <plugin
         id="org.eclipse.lsat.dispatching.teditor.ide"
         download-size="70"
         install-size="263"
         version="0.1.0.v20221012-125030-RC1"
         unpack="false"/>

</feature>
